Bug 1120680 (trace-summary) - Review Request: trace-summary - A script generating break-downs of network traffic
Summary: Review Request: trace-summary - A script generating break-downs of network tr...
Keywords:
Status: CLOSED ERRATA
Alias: trace-summary
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 979726
TreeView+ depends on / blocked
 
Reported: 2014-07-17 12:27 UTC by Fabian Affolter
Modified: 2014-08-07 15:33 UTC (History)
2 users (show)

Fixed In Version: trace-summary-0.83-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 11:46:35 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2014-07-17 12:27:46 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/trace-summary.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/trace-summary-0.83-1.fc20.src.rpm

Project URL: http://bro.org/sphinx/components/trace-summary/README.html

Description:
trace-summary is a Python script that generates break-downs of network traffic,
including lists of the top hosts, protocols, ports, etc. Optionally, it can
generate output separately for incoming vs. outgoing traffic, per subnet, and
per time-interval.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7155750

rpmlint output:
[fab@laptop014 SRPMS]$ rpmlint trace-summary-0.83-1.fc20.src.rpm 
trace-summary.src: W: spelling-error %description -l en_US subnet -> subset, sublet, sub net
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop014 noarch]$ rpmlint trace-summary-0.83-1.fc20.noarch.rpm 
trace-summary.noarch: W: spelling-error %description -l en_US subnet -> subset, sublet, sub net
trace-summary.noarch: W: no-manual-page-for-binary trace-summary
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab

Comment 1 Parag AN(पराग) 2014-07-17 12:50:53 UTC
looks like simple packaging

Comment 2 Parag AN(पराग) 2014-07-17 13:33:24 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
trace-summary.noarch: W: spelling-error %description -l en_US subnet -> subset, sublet, sub net
trace-summary.noarch: W: no-manual-page-for-binary trace-summary
trace-summary.src: W: spelling-error %description -l en_US subnet -> subset, sublet, sub net
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

=> No issues

+ Source verified with upstream as (sha256sum)
srpm tarball     :1a452561a8e8b27315ccf85a77eff6c625b974b4cdc9cfd6496c05199fe1993e
upstream tarball :1a452561a8e8b27315ccf85a77eff6c625b974b4cdc9cfd6496c05199fe1993e

+ License "BSD" is valid and included in its own file as %doc.

+ rest looks following packaging guidelines


APPROVED.

Comment 3 Fabian Affolter 2014-07-17 13:35:27 UTC
Thanks for the review.

Comment 4 Fabian Affolter 2014-07-17 13:36:46 UTC
New Package SCM Request
=======================
Package Name: trace-summary
Short Description: A script generating break-downs of network traffic
Owners: fab
Branches: f20 f21 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-17 15:49:41 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-18 16:53:33 UTC
trace-summary-0.83-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/trace-summary-0.83-1.fc20

Comment 7 Fedora Update System 2014-07-18 17:05:46 UTC
trace-summary-0.83-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trace-summary-0.83-1.el6

Comment 8 Fedora Update System 2014-07-19 06:00:41 UTC
trace-summary-0.83-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-08-07 11:46:35 UTC
trace-summary-0.83-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 10 Fedora Update System 2014-08-07 15:33:06 UTC
trace-summary-0.83-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.